Package org.apache.cayenne.dba.db2

## Class DB2ActionBuilder

- java.lang.Object
- - org.apache.cayenne.dba.JdbcActionBuilder
  - - org.apache.cayenne.dba.db2.DB2ActionBuilder

- All Implemented Interfaces:
    `SQLActionVisitor`

      public class DB2ActionBuilder
      extends JdbcActionBuilder

  Since:
    3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.dba.JdbcActionBuilder

      `dataNode`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> SQLAction` | `objectSelectAction​(FluentSelect<T> query)` | Creates an action to execute a FluentSelect.
    `<T> SQLAction` | `objectSelectAction​(SelectQuery<T> query)` | Creates an action to execute a SelectQuery.
    `SQLAction` | `procedureAction​(ProcedureQuery query)` | Creates an action to execute a ProcedureQuery.

    - ### Methods inherited from class org.apache.cayenne.dba.JdbcActionBuilder

      `batchAction, ejbqlAction, sqlAction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### procedureAction

          public SQLAction procedureAction​(ProcedureQuery query)

      Description copied from interface: `SQLActionVisitor`
      Creates an action to execute a ProcedureQuery.
      Specified by:
        `procedureAction` in interface `SQLActionVisitor`
      Overrides:
        `procedureAction` in class `JdbcActionBuilder`

    - #### objectSelectAction

          public <T> SQLAction objectSelectAction​(SelectQuery<T> query)

      Description copied from interface: `SQLActionVisitor`
      Creates an action to execute a SelectQuery.
      Specified by:
        `objectSelectAction` in interface `SQLActionVisitor`
      Overrides:
        `objectSelectAction` in class `JdbcActionBuilder`

    - #### objectSelectAction

          public <T> SQLAction objectSelectAction​(FluentSelect<T> query)

      Description copied from interface: `SQLActionVisitor`
      Creates an action to execute a FluentSelect.
      Specified by:
        `objectSelectAction` in interface `SQLActionVisitor`
      Overrides:
        `objectSelectAction` in class `JdbcActionBuilder`
      Since:
        4.2